/***************************************************************************
 *   Copyright (C) 2009 by Helge Kortendieck  alan@kasmithee.de            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef _QUESTION_H_
#define _QUESTION_H_

#include <QDialog>
//#include <QFont>
#include <QWidget>

#include "ui_question.h"


class quest : public QDialog
{
    Q_OBJECT

public:
//  aboutHelp(QDialog* parent = 0, Qt::WindowFlags fl = 0 );
  quest(QDialog* parent = 0 );
    ~quest();

    /*$PUBLIC_FUNCTIONS$*/


public slots:
    /*$PUBLIC_SLOTS$*/

protected:
    /*$PROTECTED_FUNCTIONS$*/

protected slots:
    /*$PROTECTED_SLOTS$*/



private:
  bool bD;

  int iQuest;               // dialog type: 1=About (html), 2=Help (html), 3=Error (txt)
  int iHeight;              // dialog height
  int iWidth;               // dialog width

  Ui::Quest uiq;            // question widget

  QDialog wQuest;           // question widget

  QString sD;               // dialog title
  QString sText;            // about/help/error text
  QString sTitle;           // dialog title
  QString sImCur;           // image failed to load

private slots:
  void clickedNo();         // no clicked
  void clickedYes();        // yes clicked
  void showQuest( int iD, const QString& sD ); // show question dialog
  void dlgShow();           // show dialog
  void dlgClose();          // close dialog
  void setQuest();          // set question

  signals:
    void sigQuestHidden(bool bD);

};

#endif
